For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList workspaces
      • GETShow workspace

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWorkspaces

Show workspace

GET
https://api.frame.io/v4/accounts/:account_id/workspaces/:workspace_id
GET
/v4/accounts/:account_id/workspaces/:workspace_id
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.workspaces.show(
8 account_id="4625c55f-13ed-442c-80f5-7ba5deeb6916",
9 workspace_id="42aa232a-db05-488c-b3ba-c691baeb2b06",
10 api_version="experimental",
11)
1{
2 "data": {
3 "image": "https://picture.frame.io/image/convert/frameio-uploads-development/teams/d5e6011c-2bc9-4596-be05-77d562627112/team_image_original.png",
4 "creator": {
5 "active": true,
6 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
7 "email": "user_email@example.com",
8 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
9 "name": "Jon Doe"
10 },
11 "account_id": "0020ad33-a966-465e-8e88-ac9e5d4a78a4",
12 "created_at": "2024-01-25T19:18:29.614189Z",
13 "id": "5bc5b621-7cd3-4ed2-b733-368b2e0a541b",
14 "name": "My Workspace",
15 "updated_at": "2024-02-07T16:44:41.986478Z"
16 }
17}

Show workspace details.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
workspace_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Query parameters

includeenumOptional
Include query parameter for workspaces
Allowed values:

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject
Frame.io workspace

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error